Package org.apache.sling.cms.core.internal.models

## Class PageImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PublishableResourceImpl
  - - org.apache.sling.cms.core.internal.models.PageImpl

All Implemented Interfaces:
  `Page`, `PublishableResource`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.Page.class)
    public class PageImpl
    extends PublishableResourceImpl
    implements Page

A model representing a page.

### Field Summary

### Fields inherited from class org.apache.sling.cms.core.internal.models.PublishableResourceImpl

`LEGACY_PUBLISHED_PROPERTY, resource`

### Constructor Summary

Constructors
`PageImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Page` `getContainingPage​(org.apache.sling.api.resource.Resource resource)`
`String[]` `getKeywords()`
`String` `getPublishedPath()`
`PageTemplate` `getTemplate()`
`String` `getTemplatePath()`
`String` `getTitle()`

### Methods inherited from class org.apache.sling.cms.core.internal.models.PublishableResourceImpl

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedUrl, getResource, getSite, isPublished`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.cms.PublishableResource

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedUrl, getResource, getSite, isPublished`

### Constructor Detail

#### PageImpl

    @Inject
    public PageImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getContainingPage

    public static final Page getContainingPage​(org.apache.sling.api.resource.Resource resource)

#### getKeywords

    public String[] getKeywords()

Specified by:
  `getKeywords` in interface `Page`

#### getPublishedPath

    public String getPublishedPath()

Specified by:
  `getPublishedPath` in interface `PublishableResource`
Overrides:
  `getPublishedPath` in class `PublishableResourceImpl`

#### getTemplate

    public PageTemplate getTemplate()

Specified by:
  `getTemplate` in interface `Page`

#### getTemplatePath

    public String getTemplatePath()

Specified by:
  `getTemplatePath` in interface `Page`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `Page`